UNW\_REGNAME(3)

NAME
unw_regname -- get register name

SYNOPSIS

#include <libunwind.h>

const char *unw_regname(unw_regnum_t regnum);

DESCRIPTION

The unw_regname() routine returns a printable name for register regnum. If regnum is an invalid or otherwise unrecognized register number, a string consisting of three question marks is returned. The returned string is statically allocated and therefore guaranteed to remain valid until the application terminates.

RETURN VALUE

The unw_regname() routine cannot fail and always returns a valid (non-NULL) string.

THREAD AND SIGNAL SAFETY

The unw_regname() routine is thread-safe as well as safe to use from a signal handler.

SEE ALSO

libunwind(3)

AUTHOR

David Mosberger-Tang
Email: dmosberger@gmail.com
WWW: http://www.nongnu.org/libunwind/.